## dcl-c 7.2.3

=== bin/Makefile ===
#
#       Makefile for bin
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

LIBSRCS 	= $(DCLCONFVER) $(DCLCC)
INSTSRC		= cdcldate$(EXT) cdclver$(EXT) cdclexec$(EXT) cdcltrf$(EXT) \
		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
			cdclfontlist$(EXT) cdclsysfont$(EXT) cdclfontdialog$(EXT) \

all: $(DCLCONFVER) $(DCLFRT) $(DCLCC)

$(DCLCONFVER): dclconfig.org
	@echo "Making shell script $(DCLCONFVER)"
	@$(SED) \
	     -e 's!@prefix@!$(prefix)!' \
	     -e 's!@DCLVERSION@!$(DCLVERSION)!' \
	     -e 's!@DCLVERNUM@!$(DCLVERNUM)!' \
	     -e 's!@DCLLANG@!$(DCLLANG)!' \
	     -e 's!@BINDIR@!$(BINDIR)!' \
	     -e 's!@LIBDIR@!$(LIBDIR)!' \
	     -e 's!@INCDIR@!$(INCDIR)!' \
	     -e 's!@DCLLIBNAME@!$(DCLLIBNAME)!' \
	     -e 's!@DCLLIBFILE@!$(DCLLIBFILE)!' \
	     -e 's!@DCLLIBOPT@!$(DCLLIBOPT)!' \
	     -e 's!@DCLLIBPATH@!$(DCLLIBPATH)!' \
	     -e 's!@DBASENAME@!$(DBASENAME)!' \
	     -e 's!@DBASEDIR@!$(DBASEDIR)!' \
	     -e 's!@XINCPATH@!$(XINCPATH)!' \
	     -e 's!@XLIBPATH@!$(XLIBPATH)!' \
	     -e 's!@XLIBOPT@!$(XLIBOPT)!' \
	     -e 's!@CC@!$(CC)!' \
	     -e 's!@CFLAGS@!$(CFLAGS)!' \
	     -e 's!@FC@!$(FC)!' \
	     -e 's!@FFLAGS@!$(FFLAGS)!' \
	     -e 's!@LDFLAGS@!$(LDFLAGS)!' \
	     -e 's!@LDLIBS@!$(LDLIBS)!' \
	     -e 's!@GTKVERSION@!$(GTKVERSION)!' \
	         dclconfig.org > $(DCLCONFVER)
	@chmod +x $(DCLCONFVER)


$(DCLCC): dclcc.org
	@echo "Making shell script $(DCLCC)"
	@sed -e 's!@PATH@!$(BINDIR)!' dclcc.org > $(DCLCC)
	@chmod +x $(DCLCC)

install:
	@-if (test $(BINDIR) != $(LBINDIR)) then \
	$(CP) $(LIBSRCS) $(BINDIR); fi
	@-if [ -e dcldate$(EXT) ] ; then \
	$(CP) $(INSTSRC) $(BINDIR) ; fi
	$(RM) $(BINDIR)/$(DCLCONFIG)
	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

clean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLCC)

distclean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLCC)

=== f2csrc/Makefile ===
#
#       Makefile for f2c library
#
#       Copyright (C) 1999-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

LIBNAME	= libf2c4dcl
LIBSRC	= file_close.o file_open.o file_inquire.o file_rewind.o \
	  file_trunc.o fmt.o fmt_dofio.o fmt_read.o fmt_write.o \
	  sfe.o sfe_helper.o sfi.o sfi_helper.o sle.o sle_dolio.o \
	  sle_lread.o sle_lwrite.o sue.o sue_douio.o add_math.o \
	  add_pow.o add_string.o err.o main.o util.o due.o

# If you get an error compiling dtime_.c or etime_.c, try adding
# -DUSE_CLOCK to the CFLAGS assignment above; if that does not work,
# omit $(TIME) from the dependency list for libf2c.a below.

# For INTEGER*8 support (which requires system-dependent adjustments to
# libtinyf2c.h), add $(QINT) to the libf2c4dcl.a dependency list below...

all: libtinyf2c.h signal1.h $(LIBNAME).a

$(LIBNAME).a: $(LIBSRC) 
	ar r $(LIBNAME).a $?
	-ranlib $(LIBNAME).a
	$(CP) libtinyf2c.h $(LINCDIR)/
	$(CP) $(LIBNAME).a $(LLIBDIR)/


# To get an "libtinyf2c.h" for use with "f2c -C++", first "make hadd"
hadd: libtinyf2c.h0 f2ch.add
	cat libtinyf2c.h0 f2ch.add >f2c.h

# For use with "f2c" and "f2c -A":
libtinyf2c.h: f2c.h0
	cp libtinyf2c.h0 f2c.h

# You may need to adjust signal1.h suitably for your system...
signal1.h: signal1.h0
	cp signal1.h0 signal1.h

pack: 
	@echo "no packed file for f2c library"

clean.all: distclean

distclean:
	$(RM) $(LLIBDIR)/$(LIBNAME).a
	$(RM) $(LINCDIR)/libtinyf2c.h
	$(RM) $(LIBNAME).a *.o *~ *.ps core *.trace

clean:
	$(RM) $(LIBNAME).a *.o *~ *.ps core *.trace


file_close.o:
file_open.o:
file_inquire.o:
file_rewind.o:
file_trunc.o:
fmt.o:
fmt_dofio.o:
fmt_read.o:
fmt_write.o: 
sfe.o:
sfe_helper.o:
sfi.o:
sfi_helper.o:
sle.o:
sle_dolio.o:
sle_lread.o:
sle_lwrite.o:
sue.o:
sue_douio.o:
add_math.o:
add_pow.o:
add_string.o:
err.o:
util.o:

=== demo/gokuraku/hop/Makefile ===
#
#       Makefile for hajime (gokuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= hajime
LIBSRCS		= hop.c
LIBDEMO		= hop
LIBEXEC		= hop$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out a.out *.eps *.png *.svg

=== demo/gokuraku/jump/Makefile ===
#
#       Makefile for sosite (gokuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sosite
LIBSRCS		= jump1.c     jump2.c
LIBDEMO		= jump1       jump2
LIBEXEC		= jump1$(EXT) jump2$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/gokuraku/u2d/Makefile ===
#
#       Makefile for u2d (gokuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= u2d
LIBSRCS		= u2d1.c     u2d2.c     u2d3.c     u2d4.c
LIBDEMO		= u2d1       u2d2       u2d3       u2d4
LIBEXEC		= u2d1$(EXT) u2d2$(EXT) u2d3$(EXT) u2d4$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/ulpack/Makefile ===
#
#       Makefile for ulpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ulpack
LIBSRCS		= ulpk01.c     ulpk02.c
LIBDEMO 	= ulpk01       ulpk02
LIBEXEC 	= ulpk01$(EXT) ulpk02$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out *.eps *.svg *.pdf a.out

=== demo/grph2/ximage/Makefile ===
#
#       Makefile for ximage (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ximage
LIBSRCS		= ximg01.c
LIBDEMO		= ximg01
LIBEXEC		= ximg01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps *.gif *.xwd core *.trace

=== demo/math1/chrlib/Makefile ===
#
#       Makefile for chrlib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= chrlib
LIBSRCS		= chrl01.c
LIBDEMO 	= chrl01
LIBEXEC 	= chrl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/gnmlib/Makefile ===
#
#       Makefile for gnmlib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= gnmlib
LIBSRCS		= gnml01.c
LIBDEMO 	= gnml01
LIBEXEC 	= gnml01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/ifalib/Makefile ===
#
#       Makefile for ifalib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ifalib
LIBSRCS		= ifal01.c
LIBDEMO 	= ifal01
LIBEXEC 	= ifal01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/viblib/Makefile ===
#
#       Makefile for viblib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= viblib
LIBSRCS		= vibl01.c
LIBDEMO 	= vibl01
LIBEXEC 	= vibl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/vrblib/Makefile ===
#
#       Makefile for vrblib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vrblib
LIBSRCS		= vrbl01.c
LIBDEMO 	= vrbl01
LIBEXEC 	= vrbl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== debian/changelog ===
dcl-c (7.2.3-1+0~20180313075157.32~1.gbp29393c) unstable; urgency=medium

  ** SNAPSHOT build @29393ca92007c24a878906ad1c407fab9d45f671 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Tue, 13 Mar 2018 16:52:00 +0900

dcl-c (7.2.3-1) unstable; urgency=medium

  * Upload Debian unstable (Closes: #841402)
  * New upstream version 7.2.3
  * Bump Standard Version: 4.1.3
  * Remove generated files
  * Refresh patches
  * Update Vcs-* field
  * Update debian/rules

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 20 Jan 2018 05:05:23 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
FFLAGS += -fPIC
CFLAGS += -fPIC
DCLVERNUM=7.2.3
DCLVER=723

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	$(shell ! grep -q jessie /etc/os-release || \
	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libcdcl7.triggers )
	CC=gcc \
	  dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk2

override_dh_auto_configure-indep:
#	do nothing

override_dh_auto_test:
#	do nothing

override_dh_auto_install-arch:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm $(CURDIR)/debian/tmp/usr/bin/cdclconfig
	mv $(CURDIR)/debian/tmp/usr/bin/cdclconfig$(DCLVER) \
	  $(CURDIR)/debian/tmp/usr/bin/cdclconfig
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,libf2c4dcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.$(DCLVERNUM) \
	  `find $(CURDIR)/f2csrc -name \*.o` $(shell pkg-config gtk+-2.0 --libs)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,libcdcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.$(DCLVERNUM) \
	  `find $(CURDIR)/src -name \*.o` $(shell pkg-config gtk+-2.0 --libs)
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libcdcl.so.$(DCLVERNUM) libcdcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libcdcl.so.$(DCLVERNUM) libcdcl.so )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf2c4dcl.so.$(DCLVERNUM) libf2c4dcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf2c4dcl.so.$(DCLVERNUM) libf2c4dcl.so )

override_dh_auto_install-indep:
#	do nothing

override_dh_install-arch:
	dh_install --sourcedir=debian/tmp
	sed -i -e 's%-fdebug-prefix-map=$(CURDIR)=.%%g ' \
	  $(CURDIR)/debian/libcdcl-dev/usr/bin/cdclconfig

override_dh_install-indep:
	dh_install -i --sourcedir=$(CURDIR)
	find $(CURDIR)/debian/dcl-c-docs/ -name Makefile.win | xargs rm -f

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean
	rm -f $(CURDIR)/debian/libcdcl*.triggers
	rm -f $(CURDIR)/lib/lib*.so
	rm -f $(CURDIR)/lib/lib*.so.*
	rm -f $(CURDIR)/bin/cdclpsseparate
	rm -f $(CURDIR)/bin/cdclpsunrot

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installdocs:
	dh_installdocs -A README

## dcl-c 7.3.1.stripped

=== bin/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 INSTSRC		= cdcldate$(EXT) cdclver$(EXT) cdclexec$(EXT) cdcltrf$(EXT) \
 		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
 		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
-			cdclfontlist$(EXT) cdclsysfont$(EXT) cdclfontdialog$(EXT) \
+                  cdclfontlist$(EXT) cdclsysfont$(EXT) cdclfontdialog$(EXT)
 
 all: $(DCLCONFVER) $(DCLFRT) $(DCLCC)

=== demo/Makefile ===
#
#       Makefile for demo
#
#       Copyright (C) 2000-2017 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

SUBDIRS		= math1 misc1 grph1 math2 grph2 rakuraku gokuraku
 

all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i/" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/gokuraku/step/Makefile ===
#
#       Makefile for tugi (gokuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= tugi
LIBSRCS		= step1.c     step2.c
LIBDEMO		= step1       step2
LIBEXEC		= step1$(EXT) step2$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/g2pack/Makefile ===
#
#       Makefile for g2pack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= g2pack
LIBSRCS		= g2pk01.c     g2pk02.c 
LIBDEMO 	= g2pk01       g2pk02
LIBEXEC 	= g2pk01$(EXT) g2pk02$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/grpack/Makefile ===
#
#       Makefile for grpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= grpack
LIBSRCS		= grpk01.c
LIBDEMO 	= grpk01
LIBEXEC 	= grpk01$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/ucpack/Makefile ===
#
#       Makefile for ucpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ucpack
LIBSRCS		= ucpk01.c     ucpk02.c     ucpk03.c     ucpk04.c
LIBDEMO 	= ucpk01       ucpk02       ucpk03       ucpk04
LIBEXEC 	= ucpk01$(EXT) ucpk02$(EXT) ucpk03$(EXT) ucpk04$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uipack/Makefile ===
#
#       Makefile for uipack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uipack
LIBSRCS		= uipk01.c     uipk02.c uipk03.c
LIBDEMO 	= uipk01       uipk02 uipk03
LIBEXEC 	= uipk01$(EXT) uipk02$(EXT) uipk03$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uspack/Makefile ===
#
#       Makefile for uspack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uspack
LIBSRCS		= uspk01.c     uspk02.c     uspk03.c     uspk04.c     \
		  uspk05.c     uspk06.c     uspk07.c     uspk08.c     \
		  uspk09.c     uspk10.c     uspk11.c     uspk12.c
LIBDEMO		= uspk01       uspk02       uspk03       uspk04       \
		  uspk05       uspk06       uspk07       uspk08       \
		  uspk09       uspk10       uspk11       uspk12
LIBEXEC		= uspk01$(EXT) uspk02$(EXT) uspk03$(EXT) uspk04$(EXT) \
		  uspk05$(EXT) uspk06$(EXT) uspk07$(EXT) uspk08$(EXT) \
		  uspk09$(EXT) uspk10$(EXT) uspk11$(EXT) uspk12$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/math1/blklib/Makefile ===
#
#       Makefile for blklib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= blklib
LIBSRCS		= blkl01.c
LIBDEMO 	= blkl01
LIBEXEC 	= blkl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/fnclib/Makefile ===
#
#       Makefile for fnclib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fnclib
LIBSRCS		= fncl01.c
LIBDEMO 	= fncl01
LIBEXEC 	= fncl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/gt2dlib/Makefile ===
#
#       Makefile for gt2dlib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= gt2dlib
LIBSRCS		= gt2d01.c
LIBDEMO 	= gt2d01
LIBEXEC 	= gt2d01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/lrllib/Makefile ===
#
#       Makefile for lrllib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= lrllib
LIBSRCS		= lrll01.c     lrll02.c
LIBDEMO 	= lrll01       lrll02
LIBEXEC 	= lrll01$(EXT) lrll02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== debian/changelog ===
dcl-c (7.3.1.stripped-1+0~20180315134351.33~1.gbp47ce06) unstable; urgency=medium

  ** SNAPSHOT build @47ce06aea0cc55e9e3ce70ed10302b0074fd9ee2 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Thu, 15 Mar 2018 22:43:54 +0900

dcl-c (7.3.1.stripped-1) unstable; urgency=medium

  * New upstream version 7.3.1.stripped
  * Update/Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 15 Mar 2018 21:44:40 +0900

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 include /usr/share/dpkg/buildflags.mk
 FFLAGS += -fPIC
 CFLAGS += -fPIC
-DCLVERNUM=7.2.3
-DCLVER=723
+DCLVERNUM=7.3.1
+DCLVER=731
 
 %:
 	dh $@ --no-parallel

## dcl-c 7.3.4

=== bin/Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 INSTSRC		= cdcldate$(EXT) cdclver$(EXT) cdclexec$(EXT) cdcltrf$(EXT) \
 		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
 		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
-                  cdclfontlist$(EXT) cdclsysfont$(EXT) cdclfontdialog$(EXT)
+                  cdclfontlist$(EXT) cdclsysfont$(EXT) cdclfontdialog$(EXT) \
+                  cdclsrv$(EXT) \
 
 all: $(DCLCONFVER) $(DCLFRT) $(DCLCC)

=== include/Makefile ===
#
#       Makefile for include
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude


install:
	@-if (test $(LIBDIR) != $(LLIBDIR)) then \
	$(CP) $(LINCDIR)/cdcl.h $(INCDIR); \
	$(CP) $(LINCDIR)/libtinyf2c.h $(INCDIR); fi

clean:
	$(RM) *~

distclean: clean

=== src/Makefile ===
#
#       Makefile for src
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

OBJDIRS		= math1 misc1 grph1 math2 grph2
ALLDIRS		= math1 misc1 grph1 env1 math2 grph2

object:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i/" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making a library file with $$i/" ; \
	  $(MAKE) library ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

dbase:
	@cd env1 ; \
	echo "Making database in env1/" ; \
	$(MAKE) ; \
	cd ..

exec:
	@cd env2 ; \
	echo "Making exec files in env2/" ; \
	$(MAKE) ; \
	cd ..

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(ALLDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/env2/Makefile ===
#
#       Makefile for env2
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= dcldate dclver dclexec dcltrf dclclr dcldbs \
		  dclfont dclpara dcltone dclcmap repsl \
			dclfontlist dclsysfont dclfontdialog

all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making exec file for $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/gokuraku/u1d/Makefile ===
#
#       Makefile for u1d (gokuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= u1d
LIBSRCS		= u1d1.c     u1d2.c
LIBDEMO		= u1d1       u1d2
LIBEXEC		= u1d1$(EXT) u1d2$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph1/scpack/Makefile ===
#
#       Makefile for scpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= scpack
LIBSRCS		= scpkt1.c     scpkt2.c     scpkt3.c     scpkt4.c     \
		  scpkt5.c     scpkt6.c     scpkt7.c     scpkt8.c
LIBDEMO		= scpkt1       scpkt2       scpkt3       scpkt4      \
		  scpkt5       scpkt6       scpkt7       scpkt8
LIBEXEC		= scpkt1$(EXT) scpkt2$(EXT) scpkt3$(EXT) scpkt4$(EXT) \
		  scpkt5$(EXT) scpkt6$(EXT) scpkt7$(EXT) scpkt8$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph1/sgpack/Makefile ===
#
#       Makefile for sgpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sgpack
LIBSRCS		= sgfont.c     sgfonz.c     sgksx1.c     sgksx2.c     \
		  sgksx3.c     sglidx.c     sgltyp.c     sgpk01.c     \
		  sgpk02.c     sgpk03.c     sgpk04.c     sgpk05.c     \
		  sgpk06.c     sgpk07.c     sgpk08.c     sgpk09.c     \
		  sgpk10.c     sgtclr.c     sgtcls.c     sgtone.c     \
			sgtonz.c
LIBDEMO		= sgfont       sgfonz       sgksx1       sgksx2       \
		  sgksx3       sglidx       sgltyp       sgpk01       \
		  sgpk02       sgpk03       sgpk04       sgpk05       \
		  sgpk06       sgpk07       sgpk08       sgpk09       \
		  sgpk10       sgtclr       sgtcls       sgtone       \
			sgtonz
LIBEXEC		= sgfont$(EXT) sgfonz$(EXT) sgksx1$(EXT) sgksx2$(EXT) \
		  sgksx3$(EXT) sglidx$(EXT) sgltyp$(EXT) sgpk01$(EXT) \
		  sgpk02$(EXT) sgpk03$(EXT) sgpk04$(EXT) sgpk05$(EXT) \
		  sgpk06$(EXT) sgpk07$(EXT) sgpk08$(EXT) sgpk09$(EXT) \
		  sgpk10$(EXT) sgtclr$(EXT) sgtcls$(EXT) sgtone$(EXT) \
			sgtonz$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph1/slpack/Makefile ===
#
#       Makefile for slpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= slpack
LIBSRCS		= slpk01.c     slpk02.c     slpk03.c     slpk04.c
LIBDEMO 	= slpk01       slpk02       slpk03       slpk04
LIBEXEC 	= slpk01$(EXT) slpk02$(EXT) slpk03$(EXT) slpk04$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/sysfont/Makefile ===
#
#       Makefile for sgpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sgpack
LIBSRCS		= sgfont.c     sgpk07.c     sgfnls.c     sgsysf.c     \
			sgfndl.c
LIBDEMO		= sgfont       sgpk07       sgfnls       sgsysf       \
		  sgfndl
LIBEXEC		= sgfont$(EXT) sgpk07$(EXT) sgfnls$(EXT) sgsysf$(EXT) \
		  sgfndl$(EXT)

all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uupack/Makefile ===
#
#       Makefile for uupack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uupack
LIBSRCS		= uupk01.c     uupk02.c     uupk03.c     uupk04.c     \
		  uupk05.c     uupk06.c     uupk07.c
LIBDEMO		= uupk01       uupk02       uupk03       uupk04       \
		  uupk05       uupk06       uupk07
LIBEXEC		= uupk01$(EXT) uupk02$(EXT) uupk03$(EXT) uupk04$(EXT) \
		  uupk05$(EXT) uupk06$(EXT) uupk07$(EXT)  


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uxyzpk/Makefile ===
#
#       Makefile for uxyzpk (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uxyzpk
LIBSRCS		= uxyz01.c     uxyz02.c     uxyz03.c     uxyz04.c     \
		  uxyz05.c     uxyz06.c     uxyz07.c     uxyz08.c     \
		  uxyz09.c     uxyz10.c
LIBDEMO		= uxyz01       uxyz02       uxyz03       uxyz04       \
		  uxyz05       uxyz06       uxyz07       uxyz08       \
		  uxyz09       uxyz10
LIBEXEC		= uxyz01$(EXT) uxyz02$(EXT) uxyz03$(EXT) uxyz04$(EXT) \
		  uxyz05$(EXT) uxyz06$(EXT) uxyz07$(EXT) uxyz08$(EXT) \
		  uxyz09$(EXT) uxyz10$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/math1/intlib/Makefile ===
#
#       Makefile for intlib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= intlib
LIBSRCS		= intl01.c
LIBDEMO 	= intl01
LIBEXEC 	= intl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== debian/changelog ===
dcl-c (7.3.4-1+0~20190321114107.34~1.gbp7fef1e) unstable; urgency=medium

  ** SNAPSHOT build @7fef1ead5e2ce04e4a4ac752da70c78fafa6b15b **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Thu, 21 Mar 2019 20:41:13 +0900

dcl-c (7.3.4-1) unstable; urgency=medium

  * New upstream version 7.3.4
  * Update/Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 21 Mar 2019 20:35:25 +0900

=== debian/control ===
Source: dcl-c
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9.0~),
	dpkg-dev (>= 1.16.1~),
	autotools-dev,
	libx11-dev,
	libgtk-3-dev,
	libglib2.0-dev
Standards-Version: 4.1.3
Homepage: http://www.gfd-dennou.org/library/dcl
Vcs-Git: https://salsa.debian.org/uwabami-guest/dcl-c.git
Vcs-Browser: https://salsa.debian.org/uwabami-guest/dcl-c.git

Package: dcl-c
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libcdcl-dev, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - C version
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage, install libcdcl-dev

Package: libcdcl-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
	libcdcl7 (= ${binary:Version}),
	fonts-dclfonts,
	libx11-dev,
	libgtk-3-dev,
	libglib2.0-dev
Description: GFD-DENNOU Club Library (DCL) - C ver. - static libraries and header files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static libraries, header, wrapper scripts.

Package: libcdcl7
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcdcl5 (<< 6.0.2-3~), libcdcl-dbg (<< 6.0.2-3~), libcdcl6 (<< 7)
Replaces: libcdcl5, libcdcl6
Description: GFD-DENNOU Club Library (DCL) - C ver. - shared libraries
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provide shared libraries and database files

Package: dcl-c-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - C ver. - documents
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides document and demo programs.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 include /usr/share/dpkg/buildflags.mk
 FFLAGS += -fPIC
 CFLAGS += -fPIC
-DCLVERNUM=7.3.1
-DCLVER=731
+DCLVERNUM=7.3.4
+DCLVER=734
 
 %:
 	dh $@ --no-parallel
@@ -16,7 +16,7 @@
 	$(shell ! grep -q jessie /etc/os-release || \
 	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libcdcl7.triggers )
 	CC=gcc \
-	  dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk2
+	  dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk3
 
 override_dh_auto_configure-indep:
 #	do nothing
@@ -64,6 +64,21 @@
 	rm -f $(CURDIR)/lib/lib*.so.*
 	rm -f $(CURDIR)/bin/cdclpsseparate
 	rm -f $(CURDIR)/bin/cdclpsunrot
+	rm -f $(CURDIR)/src/env2/dclclr/cdclclr
+	rm -f $(CURDIR)/src/env2/dclcmap/cdclcmap
+	rm -f $(CURDIR)/src/env2/dcldate/cdcldate
+	rm -f $(CURDIR)/src/env2/dcldbs/cdcldbs
+	rm -f $(CURDIR)/src/env2/dclexec/cdclexec
+	rm -f $(CURDIR)/src/env2/dclfont/cdclfont
+	rm -f $(CURDIR)/src/env2/dclfontdialog/cdclfontdialog
+	rm -f $(CURDIR)/src/env2/dclfontlist/cdclfontlist
+	rm -f $(CURDIR)/src/env2/dclpara/cdclpara
+	rm -f $(CURDIR)/src/env2/dclsysfont/cdclsysfont
+	rm -f $(CURDIR)/src/env2/dcltone/cdcltone
+	rm -f $(CURDIR)/src/env2/dcltrf/cdcltrf
+	rm -f $(CURDIR)/src/env2/dclver/cdclver
+	rm -f $(CURDIR)/src/env2/repsl/crepsl
+
 
 override_dh_compress:
 	dh_compress -X.png -X.f -X.dat

=== debian/watch ===
version=3
http://www.gfd-dennou.org/arch/dcl dcl-(\d[\d\.]+)-C\.tar\.gz
